Bug 1251951 - Review Request: python-discover - Test discovery for unittest. Backported from Python 2.7 for Python 2.4+
Review Request: python-discover - Test discovery for unittest. Backported fro...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: RDO-LIBERTY-REVIEWS
  Show dependency treegraph
 
Reported: 2015-08-10 07:56 EDT by Chandan Kumar
Modified: 2015-08-28 09:43 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-28 09:43:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandan Kumar 2015-08-10 07:56:26 EDT
Spec URL: https://chandankumar.fedorapeople.org/python-discover.spec

SRPM URL: https://chandankumar.fedorapeople.org/python-discover-0.4.0-1.fc22.src.rpm

Description: This is the test discovery mechanism and load_tests protocol for unittest backported from Python 2.7 to work with Python 2.4 or more recent (including Python 3).
Fedora Account System Username: chandankumar

Successful Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=10660603
Comment 1 Javier Peña 2015-08-12 12:31:21 EDT
Hi Chandan,

You should remove the "%exclude %{python2_sitelib}/discover.py*" line, it is preventing discover.py from being packaged. Also, byte-compiled files should also be included, according to https://fedoraproject.org/wiki/Packaging:Python.

Should this package support both python2 and python3, or just python2? If so, some additional changes might be needed.

Javier
Comment 2 Chandan Kumar 2015-08-26 04:50:33 EDT
Hello Javier,

Thanks for reviewing the package.
Here is the updated spec file: https://chandankumar.fedorapeople.org/python-discover.spec

SRPM: https://chandankumar.fedorapeople.org/python-discover-0.4.0-1.fc22.src.rpm

Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=10836365

Thanks,

Chandan Kumar
Comment 3 Haïkel Guémar 2015-08-27 04:29:26 EDT
do we still need this one?
Comment 4 Chandan Kumar 2015-08-28 09:43:43 EDT
(In reply to Haïkel Guémar from comment #3)
> do we still need this one?

No longer needed, we have started removing from openstack-* packages test-requirements.

Thanks,

Chandan Kumar

Note You need to log in before you can comment on or make changes to this bug.